Skip to main content
PATCH
Update an AI Inbox Manager reply

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

AI Inbox Manager ID

Example:

"01a0206f-e3db-7cc8-ae31-3b29a80d47b2"

reply_id
string<uuid>
required

Reply ID

Example:

"01a0206f-e3db-7cc8-ae31-3b2a38fa1379"

Body

application/json
feedback_positive
boolean

Whether the feedback on the reply is positive

Example:

true

feedback_text
string

Feedback text for this reply

Example:

"Great response!"

action_pending
boolean

Whether this reply still requires action from the user

Example:

false

Response

The updated reply

A single AI-generated reply in the SDR inbox manager

id
string<uuid>
required
read-only

Unique identifier for the AI Sales Agent reply

Example:

"01a0206f-abf3-7215-ad83-e07ff6f5d49d"

organization_id
null | string<uuid>
read-only

Organization ID

Example:

"01a0206f-abf3-7215-ad83-e0807458593d"

timestamp_created
null | string
read-only

Timestamp when the AI Sales Agent reply was created (ISO 8601)

Example:

"2026-08-20T18:29:44.563Z"

timestamp_updated
null | string
read-only

Timestamp when the AI Sales Agent reply was last updated (ISO 8601)

Example:

"2026-08-20T18:29:44.563Z"

agent_id
null | string<uuid>
read-only

ID of the AI agent that generated this reply (nullable)

Example:

"01a0206f-abf3-7215-ad83-e08119e6b4aa"

thread_id
null | string
read-only

Conversation thread identifier (nullable)

Example:

"3c-zuFiJhv7cqJE5IoKkg6Pzh9"

lead
null | string
read-only

Lead email address this reply is associated with

Example:

"john@example.com"

feedback_positive
null | boolean

Whether the feedback on the reply was positive (nullable)

Example:

true

feedback_text
null | string

Feedback text left by a user for this reply (nullable)

Example:

"Great response!"

html
null | string
read-only

HTML-formatted reply (nullable)

Example:

"<p>Hello, John!</p>"

requires_hitl
null | boolean
read-only

If true, the reply requires human-in-the-loop review (nullable)

Example:

true

requires_hitl_reason
null | string
read-only

Reason why human-in-the-loop review is required (nullable)

Example:

"Low confidence score detected"

generation_lag_seconds
null | number
read-only

Time taken (in seconds) for AI to generate the reply (nullable)

Example:

2.5

is_automatic_email
null | boolean
read-only

Whether this reply was automatically sent as an email (nullable)

Example:

false

in_reply_to
null | string
read-only

ID of the reply this message is in response to (nullable)

Example:

"reply_12345"

usage_metadata
object
read-only

JSON object with OpenAI usage, costs, and prompt data (nullable)

calendly_tool_used
null | boolean
read-only

Whether the Calendly scheduling tool was used in this reply

Example:

false

confidence_score
null | number
read-only

Confidence score for this AI-generated reply (nullable, 0-100)

Example:

92

information_requested
null | string
read-only

Text the AI used to request more information (nullable)

Example:

"Please confirm your availability."

estimated_time_saved_seconds
null | number
read-only

Estimated time (in seconds) saved by the AI in generating this reply (nullable)

Example:

30

action_pending
null | boolean

Whether this reply requires pending action from the user (nullable)

Example:

true

sending_status
enum<number>

Status of the email sending process

Available options:
-1,
1,
2
Example:

1

is_followup
null | boolean

Whether this reply is an automatic follow-up to a previous reply (nullable)

Example:

true

error_code
enum<string>

Error code for the email sending process (nullable)

Available options:
NO_SENDING_ACCOUNT,
ACCOUNT_INACTIVE,
ACCOUNT_FETCH_FAILED,
SEND_FAILED,
HITL_NOT_SUPPORTED,
RATE_LIMITED,
AGENT_NOT_FOUND,
LEAD_BLOCKED,
FREE_TRIAL_LIMIT_REACHED,
OUT_OF_CREDITS,
MONTHLY_BUDGET_EXCEEDED
Example:

"SEND_FAILED"